/**
 * Converts a number to a specified CSS unit.
 *
 * @param {number} value - The numerical value to be converted.
 * @param {string} unit - The CSS unit to convert the value to. Defaults to 'px'.
 * @param {number} [base=16] - The base value for rem and em units. Defaults to 16.
 * @returns {string} The formatted value with the specified unit.
 */
export declare const formatUnit: (value: any, unit?: string, base?: number) => string;
